#!/bin/bash

HOME_DIR="\$(pwd)"

REMOTE_REPO_NAME="iqeval"
REMOTE_REPO_DIR="$HOME_DIR/$REMOTE_REPO_NAME"

SCREEN_SESSION_NAME="iqeval"

RSYNC_EXCLUDE_FILE="rsync_excludes"

download_dir () {
    RSYNC_FROM=$1
    RSYNC_TO=$2
    rsync -e 'ssh -q' -a --no-links --exclude-from=$RSYNC_EXCLUDE_FILE $RSYNC_FROM $RSYNC_TO > rsync.log
}

# declare -a paths=("/dev/shm/$SCREEN_SESSION_NAME/figures" "/dev/shm/$SCREEN_SESSION_NAME/.cachedir")
# declare -a paths=("~/iqeval/analysis/pdp/figures" "/dev/shm/$SCREEN_SESSION_NAME/.cachedir")
declare -a paths=("/dev/shm/$SCREEN_SESSION_NAME/logf/")


for i in {01..10}; do
    printf "FALCON $i | "

    IS_FIN=$(ssh -q fc$i "[ -f /dev/shm/$SCREEN_SESSION_NAME/.fin ] && echo 1")

    if [ -z "$IS_FIN" ]; then
        echo "Not finished yet"
        continue
    else
        echo "Finished"
    fi

    for REMOTE_DIR in "${paths[@]}"; do

        echo -e "\tDownload dir $REMOTE_DIR"

        IS_VALID_PATH=$(ssh -q fc01 "[ -d $REMOTE_DIR ] && echo 1")

        if [ ! -z $IS_VALID_PATH ]; then
            download_dir fc$i:$REMOTE_DIR ../logf/
        fi
    done

done


exit 0