#!/bin/bash


script_template () {
    echo -e "#!/bin/bash

signal_handler () {
    echo \"SCRIPT QUIT\"
    kill \$PID0
}

trap signal_handler SIGINT

wait_ctrl_c () {
    echo \"Waiting for CTRL-C to quit ...\"
    while true; do sleep 5; done
}

source $VENV_HOME_DIR
cd $REMOTE_REPO_DIR

python3 main.py -p REFMEAS\#1 p0 -mid \"$1\" -sid $2 -njobs 4 &
PID0 = \$!
wait \$PID0

python3 analysis/pdp/main.py -mid \"$1\"

wait_ctrl_c

" > $SCRIPT_TEMP_DIR

chmod +x $SCRIPT_TEMP_DIR

}

